cpw.mods.fml.common.network

## Class NetworkEventFiringHandler

- java.lang.Object
- - io.netty.channel.ChannelHandlerAdapter
  - - io.netty.channel.ChannelInboundHandlerAdapter
    - - io.netty.channel.SimpleChannelInboundHandler<FMLProxyPacket>
      - - cpw.mods.fml.common.network.NetworkEventFiringHandler

- All Implemented Interfaces:
    io.netty.channel.ChannelHandler, io.netty.channel.ChannelInboundHandler

      @ChannelHandler.Sharable
      public class NetworkEventFiringHandler
      extends io.netty.channel.SimpleChannelInboundHandler<FMLProxyPacket>

  Use this handler as the only thing in your channel, to receive network events whenever your channel receives a message. Note: it will not forward on to other handlers.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface io.netty.channel.ChannelHandler

      `io.netty.channel.ChannelHandler.Sharable`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `channelRead0(io.netty.channel.ChannelHandlerContext ctx, FMLProxyPacket msg)`
    `void` | `exceptionCaught(io.netty.channel.ChannelHandlerContext ctx, java.lang.Throwable cause)`
    `void` | `userEventTriggered(io.netty.channel.ChannelHandlerContext ctx, java.lang.Object evt)`

    - ### Methods inherited from class io.netty.channel.SimpleChannelInboundHandler

      `acceptInboundMessage, channelRead`

    - ### Methods inherited from class io.netty.channel.ChannelInboundHandlerAdapter

      `channelActive, channelInactive, channelReadComplete, channelRegistered, channelUnregistered, channelWritabilityChanged`

    - ### Methods inherited from class io.netty.channel.ChannelHandlerAdapter

      `handlerAdded, handlerRemoved, isSharable`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface io.netty.channel.ChannelHandler

      `handlerAdded, handlerRemoved`

- - ### Method Detail

    - #### channelRead0

          protected void channelRead0(io.netty.channel.ChannelHandlerContext ctx,
                          FMLProxyPacket msg)
                               throws java.lang.Exception

      Specified by:
        `channelRead0` in class `io.netty.channel.SimpleChannelInboundHandler<FMLProxyPacket>`
      Throws:
        `java.lang.Exception`

    - #### userEventTriggered

          public void userEventTriggered(io.netty.channel.ChannelHandlerContext ctx,
                                java.lang.Object evt)
                                  throws java.lang.Exception

      Specified by:
        `userEventTriggered` in interface `io.netty.channel.ChannelInboundHandler`
      Overrides:
        `userEventTriggered` in class `io.netty.channel.ChannelInboundHandlerAdapter`
      Throws:
        `java.lang.Exception`

    - #### exceptionCaught

          public void exceptionCaught(io.netty.channel.ChannelHandlerContext ctx,
                             java.lang.Throwable cause)
                               throws java.lang.Exception

      Specified by:
        `exceptionCaught` in interface `io.netty.channel.ChannelHandler`
      Specified by:
        `exceptionCaught` in interface `io.netty.channel.ChannelInboundHandler`
      Overrides:
        `exceptionCaught` in class `io.netty.channel.ChannelInboundHandlerAdapter`
      Throws:
        `java.lang.Exception`